﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline.Processors;
using Newtonsoft.Json;
using RecrownedGTK.Data;
using System.IO;

namespace RecrownedGTK.Pipeline.TextureAtlas
{
    [ContentImporter(".tatlas", DisplayName = "Texture Atlas Importer - RecrownedGTK", DefaultProcessor = "TextureAtlasProcessor")]
    internal class TextureAtlasImporter : ContentImporter<TextureAtlasData>
    {
        public override TextureAtlasData Import(string filename, ContentImporterContext context)
        {
            return JsonConvert.DeserializeObject<TextureAtlasData>(File.ReadAllText(filename));
        }
    }
}
